events.listen('recipes', function (e) {
	
	e.remove({output: 'extendedcrafting:crafting_core'})
	e.remove({output: 'extendedcrafting:advanced_table'})
	e.remove({output: 'extendedcrafting:elite_table'})
	e.remove({output: 'extendedcrafting:ultimate_table'})
	e.remove({output: 'extendedcrafting:ender_alternator'})
	e.remove({output: 'extendedcrafting:ender_crafter'})
	e.remove({output: 'extendedcrafting:ender_ingot'})
	
	e.shaped('extendedcrafting:handheld_table', [' C','S '], {C: 'craftingstation:crafting_station', S: '#forge:rods/wooden'})
	e.shaped('extendedcrafting:handheld_table', [' C','S '], {C: 'craftingstation:crafting_station_slab', S: '#forge:rods/wooden'})
	e.shaped('extendedcrafting:ender_ingot', ['NNN','NNN','NNN'], {N: 'extendedcrafting:ender_nugget'})
	
	e.shapeless(item.of('extendedcrafting:ender_ingot', 9), ['extendedcrafting:ender_ingot_block'])
	
	e.recipes.extendedcrafting.shaped_table({
		"pattern": [
			"CKC",
			"IGI",
			"CBC"
		],
		"key": {
			"C": {
				"item": "extendedcrafting:advanced_component"
			},
			"I": {
				"item": "extendedcrafting:basic_catalyst"
			},
			"K": {
				"item": "extendedcrafting:advanced_catalyst"
			},
			"B": {
				"item": "extendedcrafting:black_iron_slate"
			},
			"G": {
				"tag": "forge:blocks/gold"
			}
		},
		"result": {
			"item": "extendedcrafting:advanced_table"
		}
	})
	e.recipes.extendedcrafting.shaped_table({
		"pattern": [
			"CCKCC",
			"CDDDC",
			"KIDIK",
			"CBBBC",
			"CCKCC"
		],
		"key": {
			"C": {
			  "item": "extendedcrafting:elite_component"
			},
			"I": {
			  "item": "extendedcrafting:advanced_catalyst"
			},
			"K": {
			  "item": "extendedcrafting:elite_catalyst"
			},
			"B": {
			  "item": "extendedcrafting:black_iron_slate"
			}
			"D": {
			  "tag": "forge:blocks/diamond"
			}
		},
		"result": {
		"item": "extendedcrafting:elite_table"
		}
	})
	e.recipes.extendedcrafting.shaped_table({
		"pattern": [
			"CCCKCCC",
			"CBBBBBC",
			"C EEE C",
			"K IEI K",
			"C EEE C",
			"CBBBBBC",
			"CCCKCCC"
		  ],
		"key": {
			"C": {
			  "item": "extendedcrafting:ultimate_component"
			},
			"I": {
			  "item": "extendedcrafting:elite_catalyst"
			},
			"K": {
			  "item": "extendedcrafting:ultimate_catalyst"
			},
			"B": {
			  "item": "extendedcrafting:black_iron_slate"
			}
			"E": {
			  "tag": "forge:blocks/emerald"
			}
		},
		"result": {
			"item": "extendedcrafting:ultimate_table"
		}
	})
	e.recipes.extendedcrafting.shapeless_table({
		"ingredients": [
			{
				"tag": "forge:ingots/iron"
			},
			{
				"item": "minecraft:ender_pearl"
			}
		],
		"result": {
			"item": "extendedcrafting:ender_ingot"
		}
	})
})
